import os
from pathlib import Path
from telegram.ext import ExtBot
import random

MEDIA_DIR = Path(os.getenv("MEDIA_DIR"))
CHAT_ID = os.getenv("CHAT_ID")


async def set_random(bot: ExtBot) -> None:
    """Set a random chat photo."""
    if os.getenv("DOCKERIZED", "false") == "false":
        # only change image on prod
        return
    
    photos = list(MEDIA_DIR.glob("*.jpg")) + list(MEDIA_DIR.glob("*.png")) + list(MEDIA_DIR.glob("*.jpeg"))
    
    if len(photos) == 0:
        return

    photo = random.choice(photos)
    await bot.set_chat_photo(CHAT_ID, photo)
